/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.stocktaking;

import com.arrebol.taxiservicios.model.catalog.Location;
import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.StatusType;
import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author Picasso
 */
public class TransferStocktaking implements Serializable {

    private static final long serialVersionUID = -7926002164459925566L;

    private String id;
    private String comment;
    private Location transferLocation;
    private StatusType statusType;
    private Boolean active;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    private Location location;
    private Set transferStocktakingHasProducts = new HashSet(0);
    private Set productTransferStocktakingBks = new HashSet(0);

    public TransferStocktaking() {
    }
    
    public TransferStocktaking(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Location getTransferLocation() {
        return transferLocation;
    }

    public void setTransferLocation(Location transferLocation) {
        this.transferLocation = transferLocation;
    }

    public StatusType getStatusType() {
        return statusType;
    }

    public void setStatusType(StatusType statusType) {
        this.statusType = statusType;
    }

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

    public Set getTransferStocktakingHasProducts() {
        return transferStocktakingHasProducts;
    }

    public void setTransferStocktakingHasProducts(Set transferStocktakingHasProducts) {
        this.transferStocktakingHasProducts = transferStocktakingHasProducts;
    }

    public Set getProductTransferStocktakingBks() {
        return productTransferStocktakingBks;
    }

    public void setProductTransferStocktakingBks(Set productTransferStocktakingBks) {
        this.productTransferStocktakingBks = productTransferStocktakingBks;
    }

    
}
